SplFloat::__construct
SplEnum::__construct
SPL Types
PHP Manual

# The SplEnum class

## Введение

SplEnum gives the ability to emulate and create "Enum" objects natively in PHP.

## Class synopsis

SplEnum
abstract class SplEnum {
/* Methods */
__construct ( void )
}

## Содержание

- SplEnum::__construct — Constructs an enumeger object type

SplFloat::__construct
SplEnum::__construct
SPL Types
PHP Manual